gtkmm: Gtk::ToggleAction Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gtk::ToggleAction Class Reference

An action which can be toggled between two states. More...

Inheritance diagram for Gtk::ToggleAction:
[legend]
Collaboration diagram for Gtk::ToggleAction:
[legend]

List of all members.

## Public Member Functions
virtual | ~ToggleAction ()
GtkToggleAction* | gobj ()
| Provides access to the underlying C GObject.
const GtkToggleAction* | gobj () const
| Provides access to the underlying C GObject.
GtkToggleAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | toggled ()
| Emits the "toggled" signal on the toggle action.
void | set_active (bool is_active=true)
| Sets the checked state on the toggle action.
bool | get_active () const
| Returns the checked state of the toggle action.
void | set_draw_as_radio (bool draw_as_radio=true)
| Sets whether the action should have proxies like a radio action.
bool | get_draw_as_radio () const
| Returns whether the action should have proxies like a radio action.
Glib::SignalProxy0< void > | signal_toggled ()
Glib::PropertyProxy< bool > | property_draw_as_radio ()
| Whether the proxies for this action look like radio action proxies.
Glib::PropertyProxy_ReadOnly < bool > | property_draw_as_radio () const
| Whether the proxies for this action look like radio action proxies.
Glib::PropertyProxy< bool > | property_active ()
| If the toggle action should be active in or not.
Glib::PropertyProxy_ReadOnly < bool > | property_active () const
| If the toggle action should be active in or not.
## Static Public Member Functions
static Glib::RefPtr< ToggleAction > | create ()
static Glib::RefPtr< ToggleAction > | create (const Glib::ustring& name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
| Creates a toggle action.
static Glib::RefPtr< ToggleAction > | create (const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
| Creates a toggle action with a stock ID.
static Glib::RefPtr< ToggleAction > | create_with_icon_name (const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label, const Glib::ustring& tooltip, bool is_active=false)
| Creates a toggle action with an icon name.
## Protected Member Functions
| ToggleAction ()
| Creates an empty toggle action.
| ToggleAction (const Glib::ustring& name, const StockID& stock_id=StockID(), const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
| Creates a toggle action.
| ToggleAction (const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
| Creates a toggle action with an icon name.
virtual void | on_toggled ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ToggleAction > | wrap (GtkToggleAction* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An action which can be toggled between two states.

A Gtk::ToggleAction corresponds roughly to a Gtk::CheckMenuItem. It has an "active" state specifying whether the action has been checked or not.

## Constructor & Destructor Documentation

virtual Gtk::ToggleAction::~ToggleAction | ( |  | ) | `[virtual]`

Gtk::ToggleAction::ToggleAction | ( |  | ) | `[protected]`

Creates an empty toggle action.

Gtk::ToggleAction::ToggleAction | ( | const Glib::ustring & | name,
|  | const StockID& | stock_id = `StockID()`,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) |  | `[explicit, protected]`

Creates a toggle action.

Parameters:

  name | A unique name for the action.
  stock_id | The stock icon to display in widgets representing the action.
  label | The label displayed in menu items and on buttons.
  tooltip | A tooltip for the action.
  is_active | The default checked state of the action.

Gtk::ToggleAction::ToggleAction | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | icon_name,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) |  | `[explicit, protected]`

Creates a toggle action with an icon name.

The toggle action's icon will reflect the specified icon name in the user's icon theme.

Parameters:

  name | A unique name for the action.
  icon_name | An IconTheme icon name used for widgets representing the action.
  label | The label displayed in menu items and on buttons.
  tooltip | A tooltip for the action.
  is_active | The default checked state of the action.

## Member Function Documentation

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( |  | ) | `[static]`

Reimplemented from Gtk::Action.

Reimplemented in Gtk::RadioAction.

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) |  | `[static]`

Creates a toggle action.

Parameters:

  name | A unique name for the action.
  label | The label displayed in menu items and on buttons.
  tooltip | A tooltip for the action.
  is_active | The default checked state of the action.

Returns:
  A new ToggleAction.

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( | const Glib::ustring & | name,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring & | label = `Glib::ustring()`,
|  | const Glib::ustring & | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) |  | `[static]`

Creates a toggle action with a stock ID.

The tock ID is used to set a default icon, text and accelerator for the toggle action.

Parameters:

  name | A unique name for the action.
  stock_id | The stock icon to display in widgets representing the action.
  label | The label displayed in menu items and on buttons.
  tooltip | A tooltip for the action.
  is_active | The default checked state of the action.

Returns:
  A new ToggleAction.

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create_with_icon_name | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | icon_name,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | bool | is_active = `false`
| ) |  | `[static]`

Creates a toggle action with an icon name.

The toggle action's icon will reflect the specified icon name in the user's icon theme.

Parameters:

  name | A unique name for the action.
  icon_name | An IconTheme icon name used for widgets representing the action.
  label | The label displayed in menu items and on buttons.
  tooltip | A tooltip for the action.
  is_active | The default checked state of the action.

Returns:
  A new ToggleAction.

bool Gtk::ToggleAction::get_active | ( |  | ) | const

Returns the checked state of the toggle action.

Since gtkmm 2.4:

Returns:
  The checked state of the toggle action.

bool Gtk::ToggleAction::get_draw_as_radio | ( |  | ) | const

Returns whether the action should have proxies like a radio action.

Since gtkmm 2.4:

Returns:
  Whether the action should have proxies like a radio action.

const GtkToggleAction* Gtk::ToggleAction::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::Action.

Reimplemented in Gtk::RadioAction.

GtkToggleAction* Gtk::ToggleAction::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::Action.

Reimplemented in Gtk::RadioAction.

GtkToggleAction* Gtk::ToggleAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gtk::Action.

Reimplemented in Gtk::RadioAction.

virtual void Gtk::ToggleAction::on_toggled | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy<bool> Gtk::ToggleAction::property_active | ( |  | ) |

If the toggle action should be active in or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::ToggleAction::property_active | ( |  | ) | const

If the toggle action should be active in or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::ToggleAction::property_draw_as_radio | ( |  | ) | const

Whether the proxies for this action look like radio action proxies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::ToggleAction::property_draw_as_radio | ( |  | ) |

Whether the proxies for this action look like radio action proxies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ToggleAction::set_active | ( | bool | is_active = `true` | ) |

Sets the checked state on the toggle action.

Since gtkmm 2.4:

Parameters:

  is_active | Whether the action should be checked or not.

void Gtk::ToggleAction::set_draw_as_radio | ( | bool | draw_as_radio = `true` | ) |

Sets whether the action should have proxies like a radio action.

Since gtkmm 2.4:

Parameters:

  draw_as_radio | Whether the action should have proxies like a radio action.

Glib::SignalProxy0< void > Gtk::ToggleAction::signal_toggled | ( |  | ) |

Prototype:
  `void on_my_toggled()`

void Gtk::ToggleAction::toggled | ( |  | ) |

Emits the "toggled" signal on the toggle action.

Since gtkmm 2.4:

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ToggleAction > wrap | ( | GtkToggleAction * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/toggleaction.h